# @(#)$Id: Build.PL 1142 2012-03-29 00:27:54Z pjf $

use strict;
use warnings;
use inc::Bob; # Module::Build subclass
use version; our $VERSION = qv( sprintf '0.5.%d', q$Rev: 1142 $ =~ /\d+/gmx );

Bob->new( {
   module     => q(CatalystX::Usul),
   home_page  => q(http://www.roxsoft.co.uk),
   requires   => {
      'perl'                                       => 5.010,
      'attributes'                                 => 0.09,
      'namespace::autoclean'                       => 0.09,
      'parent'                                     => 0.221,
      'version'                                    => 0.87,
      'Cache::FastMmap'                            => 1.09,
      'Carp'                                       => 0,
      'Catalyst'                                   => 5.90010,
      'Catalyst::Action::RenderView'               => 0.16,
      'Catalyst::Model::DBIC::Schema'              => 0.48,
      'Catalyst::Plugin::Authentication'           => 0.10016,
      'Catalyst::Plugin::ConfigComponents'         => q(0.5.0),
      'Catalyst::Plugin::ConfigLoader'             => 0.19,
      'Catalyst::Plugin::InflateMore'              => q(0.3.0),
      'Catalyst::Plugin::Log::Handler'             => 0.08,
      'Catalyst::Plugin::Session'                  => 0.31,
      'Catalyst::Plugin::Session::State::Cookie'   => 0.17,
      'Catalyst::Plugin::Session::Store::FastMmap' => 0.14,
      'Catalyst::Plugin::Static::Simple'           => 0.29,
      'Catalyst::View::TT'                         => 0.34,
      'CatalystX::Component::Traits'               => 0.16,
      'Class::Accessor::Grouped'                   => 0.08002,
      'Class::Null'                                => 1.09,
      'Class::Inspector'                           => 1.24,
      'Crypt::CBC'                                 => 2.30,
      'Crypt::Eksblowfish'                         => 0.009,
      'Crypt::Twofish'                             => 2.12,
      'Data::Pageset'                              => 1.03,
      'Data::Printer'                              => 0.24,
      'Data::Serializer'                           => 0.46,
      'Data::Validation'                           => q(0.6.0),
      'Date::Format'                               => 2.22,
      'DateTime::Format::Epoch'                    => 0.11,
      'DBIx::Class'                                => 0.08009,
      'Digest::SHA1'                               => 2.11,
      'Email::Date::Format'                        => 1.002,
      'Email::Sender'                              => 0.093380,
      'Email::MIME'                                => 1.9,
      'Encode'                                     => 2.12,
      'Encode::Guess'                              => 2.00,
      'Exception::Class'                           => 1.23,
      'File::DataClass'                            => q(0.8.0),
      'File::Find'                                 => 1.10,
      'File::HomeDir'                              => 0.89,
      'File::Path'                                 => 2.07,
      'File::Remove'                               => 0.34,
      'File::Temp'                                 => 0.20,
      'Getopt::Mixed'                              => 1.008,
      'Git::Class'                                 => 0.03,
      'Hash::Merge'                                => 0.08,
      'HTML::FillInForm'                           => 2.00,
      'HTML::FormWidgets'                          => q(0.12.0),
      'HTTP::Date'                                 => 5.831,
      'HTTP::DetectUserAgent'                      => 0.02,
      'HTTP::Headers::Util'                        => 1.13,
      'Imager'                                     => 0.65,
      'IO::Dir'                                    => 1.06,
      'IO::File'                                   => 1.14,
      'IO::Interactive'                            => q(0.0.3),
      'IPC::Cmd'                                   => 0.42,
      'IPC::Open3'                                 => 1.02,
      'IPC::SRLock'                                => q(0.7.0),
      'IPC::SysV'                                  => 1.04,
      'JSON'                                       => 2.12,
      'Lingua::EN::NameParse'                      => 1.24,
      'Log::Handler'                               => 0.63,
      'MIME::Types'                                => 1.23,
      'Module::Build'                              => 0.37,
      'Module::CoreList'                           => 2.24,
      'Module::Load::Conditional'                  => 0.26,
      'Module::Metadata'                           => 1.000004,
      'Module::Pluggable::Object'                  => 3.6,
      'Moose'                                      => 2.0402,
      'MooseX::ClassAttribute'                     => 0.18,
      'MooseX::MethodAttributes'                   => 0.24,
      'MooseX::Role::Parameterized'                => 0.19,
      'MooseX::Role::WithOverloading'              => 0.08,
      'MooseX::Traits::Pluggable'                  => 0.10,
      'POSIX'                                      => 1.09,
      'Path::Class'                                => 0.16,
      'Perl::Version'                              => 1.009,
      'Pod::Eventual'                              => 0.093330,
      'Pod::Man'                                   => 2.22,
      'Pod::Parser'                                => 1.37,
      'Safe'                                       => 2.27,
      'Scalar::Util'                               => 1.19,
      'SQL::Translator'                            => 0.09001,
      'SVN::Class'                                 => 0.12,
      'Template'                                   => 2.18,
      'Term::ReadKey'                              => 2.30,
      'Text::Autoformat'                           => 1.13,
      'Text::Wrap'                                 => 2005.082401,
      'Text::Tabs'                                 => 2005.0824,
      'Time::Elapsed'                              => 0.10,
      'Time::Zone'                                 => 2.22,
      'TryCatch'                                   => 1.002000,
      'XML::Simple'                                => 2.14,
      'YAML::Syck'                                 => 1.05, },
   recommends                   => {
      'local::lib'              => 1.008004,
      'CPAN'                    => 1.9205,
      'Crypt::PassGen'          => 0.05,
      'GD::SecurityImage'       => 1.70,
      'IPC::Run'                => 0.84,
      'Pod::ProjectDocs'        => 0.36,
      'Proc::ProcessTable'      => 0.40,
      'Syntax::Highlight::Perl' => 1.00, },
   configure_requires           => {
      'version'                 => 0.87,
      'Module::Build'           => 0.37, },
   build_requires               => {
      'Class::Null'             => 1.09,
      'Exception::Class'        => 1.23,
      'Test::More'              => 0.74, },
} )->create_build_script; # Goal!

# Local Variables:
# mode: perl
# tab-width: 3
# End:
